# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/hwmon/iei,wt61p803-puzzle-hwmon.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: IEI WT61P803 PUZZLE MCU HWMON module from IEI Integration Corp.

maintainers:
  - Luka Kovacic <luka.kovacic@sartura.hr>

description: |
  This module is a part of the IEI WT61P803 PUZZLE MFD device. For more details
  see Documentation/devicetree/bindings/mfd/iei,wt61p803-puzzle.yaml.

  The HWMON module is a sub-node of the MCU node in the Device Tree.

properties:
  compatible:
    const: iei,wt61p803-puzzle-hwmon

  '#address-cells':
    const: 1

  '#size-cells':
    const: 0

patternProperties:
  '^fan-group@[0-1]$':
    type: object
    additionalProperties: false

    properties:
      reg:
        minimum: 0
        maximum: 1
        description:
          Fan group ID

      '#cooling-cells':
        const: 2

      cooling-levels:
        minItems: 1
        maxItems: 255
        description:
          Cooling levels for the fans (PWM value mapping)

    required:
      - reg
      - '#cooling-cells'
      - cooling-levels

required:
  - compatible
  - '#address-cells'
  - '#size-cells'

additionalProperties: false
